package com.huijy.management.mapper;

import java.util.List;
import com.huijy.management.domain.Camera;

/**
 * 摄像头管理Mapper接口
 * 
 * @author luobo
 * @date 2021-10-03
 */
public interface CameraMapper 
{
    /**
     * 查询摄像头管理
     * 
     * @param cameraId 摄像头管理主键
     * @return 摄像头管理
     */
    public Camera selectCameraByCameraId(Long cameraId);

    /**
     * 查询摄像头管理列表
     * 
     * @param camera 摄像头管理
     * @return 摄像头管理集合
     */
    public List<Camera> selectCameraList(Camera camera);

    /**
     * 新增摄像头管理
     * 
     * @param camera 摄像头管理
     * @return 结果
     */
    public int insertCamera(Camera camera);

    /**
     * 修改摄像头管理
     * 
     * @param camera 摄像头管理
     * @return 结果
     */
    public int updateCamera(Camera camera);

    /**
     * 删除摄像头管理
     * 
     * @param cameraId 摄像头管理主键
     * @return 结果
     */
    public int deleteCameraByCameraId(Long cameraId);

    /**
     * 批量删除摄像头管理
     * 
     * @param cameraIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCameraByCameraIds(Long[] cameraIds);
}
